---
title: Registered
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos/registered
description: GET webhooks/v1/registrations returns all webhook registrations with status, filtering via partnerId or callback URL.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T13:17:35.190Z
---

:::ApiMethodV2
```json
{
  "name": "Endpoint: /webhooks/v1/registrations",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/webhooks/v1/registrations",
  "description": "Returns a list of all webhook registrations by event delivery or by polling the system.\n",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "9_iYEGQQXTu50CXTRWYjO",
        "language": "curl",
        "code": "curl \n--location 'https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https%3A%2F%2Fwebhook.site%2F27b9814b-16eb-4099-9999-32594aee5e04'",
        "customLabel": ""
      },
      {
        "id": "yuNrDEjpVBKHXwTnCvGEk",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "D69aLwgaohnGTZwFEJ7F9",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\"\n\npayload = {}\nheaders = {}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "VhcjsRvCzWybM3gAp5QFw",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "tsINNz_oMAXGioDvfS9uI",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https%3A%2F%2Fwebhook.site%2F27b9814b-16eb-4099-9999-32594aee5e04\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "9_iYEGQQXTu50CXTRWYjO"
  },
  "results": {
    "languages": [
      {
        "id": "ItEO4EwgHbz1SOZOPg00G",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"results\": [\n        {\n            \"id\": \"d0dc5a57-ce2a-40d8-b7c4-b306003dd243\",\n            \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n            \"eventName\": \"ACH.Batch.Imported\",\n            \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n            \"consecutiveErrors\": 0,\n            \"status\": \"Active\",\n            \"type\": \"Push\",\n            \"format\": \"Basic\"\n        },\n        {\n            \"id\": \"8be90643-86a5-4be4-9520-b30500f8d961\",\n            \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n            \"eventName\": \"Cards.Card.Created\",\n            \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n            \"consecutiveErrors\": 0,\n            \"status\": \"Active\",\n            \"type\": \"Push\",\n            \"format\": \"Extended\"\n        },\n        {\n            \"id\": \"3a1d97dc-03a8-4858-851a-b306003f9357\",\n            \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n            \"eventName\": \"Core.Customer.Name.Changed\",\n            \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n            \"consecutiveErrors\": 0,\n            \"status\": \"Active\",\n            \"type\": \"Push\",\n            \"format\": \"Extended\"\n        },\n        {\n            \"id\": \"c65b55f1-bbe5-4dc3-b952-b30500f3570a\",\n            \"partnerId\": \"19222b81-0e1e-452d-a842-b2f1011c16f3\",\n            \"eventName\": \"Core.Customer.Onboarded\",\n            \"callbackUrl\": \"https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04\",\n            \"consecutiveErrors\": 0,\n            \"status\": \"Active\",\n            \"type\": \"Push\",\n            \"format\": \"Extended\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 4,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": false\n}"
      }
    ],
    "selectedLanguageId": "ItEO4EwgHbz1SOZOPg00G"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "partnerId",
        "kind": "required",
        "type": "string",
        "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
        "": "Your unique ID in the Cross River system. This ID is in GUID format."
      },
      {
        "name": "eventName",
        "kind": "optional",
        "type": "string",
        "description": "Webhook event being reported",
        "children": []
      },
      {
        "name": "callbackUrl",
        "kind": "required",
        "type": "string",
        "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to Cross River's allowlist. SSL required.",
        "": "required"
      },
      {
        "name": "pageNumber",
        "kind": "optional",
        "type": "Integer",
        "description": "Current page number determined by the total number of records and the number of records per page",
        "children": []
      },
      {
        "name": "pageSize",
        "kind": "optional",
        "type": "Integer",
        "description": "Number of records to list on a page. Maximum is 50.",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format."
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "eventName",
      "kind": "optional",
      "type": "string",
      "description": "Webhook event being reported",
      "children": []
    },
    {
      "name": "callbackUrl",
      "kind": "optional",
      "type": "string",
      "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to Cross River's allowlist. SSL required.",
      "children": []
    },
    {
      "name": "authUsername",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication username to include in header of event",
      "children": []
    },
    {
      "name": "authPassword",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication password to include in event header",
      "children": []
    },
    {
      "name": "consecutiveErrors",
      "kind": "optional",
      "type": "Integer",
      "description": "The number of consecutive errors",
      "children": []
    },
    {
      "name": "lastError",
      "kind": "optional",
      "type": "string",
      "description": "Description of the last error",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of registration:\n- Active\n- Suspended\n- Restarting",
      "children": []
    },
    {
      "name": "type",
      "kind": "optional",
      "type": "string",
      "description": "Type of registration:\n- Push\n- Poll\n- File",
      "children": []
    },
    {
      "name": "format",
      "kind": "optional",
      "type": "string",
      "description": "Event format:\n- Basic\n- Extended",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-webhooksv1registrations",
  "legacyHash": "wc2aKKCqid4nPvAdRZNx3"
}
```
:::

